:root {
	--rightBgColor: rgba(46, 21, 155, 0.479);
	--leftBgColor: rgba(121, 88, 175, 0.781);
	--mainFontColor: #FFF;
	--secondaryfontColor: #000;
	--shadowColor: rgba(11, 7, 34, 0.85);
	--surveyBgColor: rgba(11, 7, 34, 0.85);
	--submitButtonColor: rgb(11, 12, 54);
}

html {
	box-sizing: border-box;
	font-size: 62.5%;
}

*, *:before, *:after {
	box-sizing: inherit;
}

body {
	background-image: linear-gradient(to left, var(--rightBgColor), var(--leftBgColor)), url('../img/students-background.jpg');
	background-position: top;
	background-size: cover;
	background-attachment: fixed;
	font-family: 'Georama', sans-serif;
	color: var(--mainFontColor);
}

.header {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	height: 15rem;
	margin-top: 3.5rem;
	margin-bottom: 3.5rem;
}

.shadow {
	background-color: var(--shadowColor);
	border-radius: .5rem;
}

#title {
	font-weight: 600;
	font-size: 5rem;
	margin-bottom: -.8rem;
	text-align: center;
}

#description {
	font-weight: bolder;
	font-style: italic;
	font-size: 2rem;
	text-align: center;
}

.form {
	display: block;
	margin: 0 auto;
	width: 53vw;
}

#survey-form {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	height: 100%;
	background-color: var(--surveyBgColor);
	border-radius: .5rem;
}

.form-group {
	padding: 2rem 1.5rem;
}

.form-group:first-of-type {
	margin-top: 5rem
}

.form-control {
	display: inline-block;
	padding: 1.1rem;
	width: 45vw;
	border-radius: .5rem;
}

input.form-control {
	font-size: 1.8rem;
	color: #444;
}

input.form-control:focus {
	border-color: var(--leftBgColor);
}

label {
	display: flex;
	align-items: center;
	font-size: 2.1rem;
	margin-bottom: 1rem;
}

.small-letter {
	margin-left: 1rem;
	font-size: 1.5rem;
	font-style: thin;
	letter-spacing: .1rem;
}

select, option {
	font-size: 1.8rem;
	color: #444;
}

.special-align {
	display: flex;
	flex-direction: column;
	align-self: auto;
}

.improvement {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-self: center;
}

.input-radio, .input-checkbox {
	margin-right: 1.5rem;
	transform: scale(1.5);
}

.input-textarea {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	flex-grow: 1;
	padding: 1.5rem;
	width: 45vw;
	height: 13rem;
	font-size: 1.8rem;
	color: #444;
	font-family: 'Georama', sans-serif;
	border-radius: .5rem;
}

.submit-button {
	width: 25vw;
	height: 5rem;
	background-color: var(--submitButtonColor);
	color: var(--mainFontColor);
	font-family: 'Georama', sans-serif;
	font-size: 2rem;
	margin-bottom: 5rem;
}

@keyframes animation-button {
	50% {
		transform: translateY(.3rem);
	}
	100% {
		transform: translateY(0);
	}
}

.submit-button:hover {
	background-color: var(--mainFontColor);
	color: var(--secondaryfontColor);
	font-weight: bolder;
	animation: animation-button 1s infinite;
	box-shadow: rgba(0, 0, 0, 0.17) 0px -23px 25px 0px inset, rgba(0, 0, 0, 0.15) 0px -36px 30px 0px inset, rgba(0, 0, 0, 0.1) 0px -79px 40px 0px inset, rgba(0, 0, 0, 0.06) 0px 2px 1px, rgba(0, 0, 0, 0.09) 0px 4px 2px, rgba(0, 0, 0, 0.09) 0px 8px 4px, rgba(0, 0, 0, 0.09) 0px 16px 8px, rgba(0, 0, 0, 0.09) 0px 32px 16px;
}

/** Media queries */

@media (max-width: 359px) {
	select {
		font-size: 1.7rem;
	}
}

@media (max-width: 360px) {
	.header {
		margin: 5rem;
	}
	#title {
		font-size: 4.7rem;
	}
	#description {
		font-size: 1.7rem;
	}
}

@media (max-width: 540px) {
	.form {
		min-width: 100%;
	}
	.form-control {
		width: 80vw;
	}
}

@media (max-width: 768px) {
	.form {
		margin-top: 5rem;
	}
}

@media (max-width: 1420px) {
	.form {
		min-width: 90%;
	}
	.form-control {
		width: 70vw;
	}
}